## onionprobe-0.3.2.tar.gz

=== Makefile ===
#
# Onionprobe Makefile.
#
# This Makefile is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or any later version.
#
# This Makefile is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#

.PHONY: configs docs

#
# Containers
#

run-containers:
	@docker-compose up -d

watch-containers:
	@watch docker-compose ps

log-containers:
	@docker-compose logs -f

stop-containers:
	@docker-compose down

#
# Configs
#

configs:
	@./packages/real-world-onion-sites.py
	@./packages/securedrop.py

#
# Documentation
#

docs:
	@./packages/manpage.py

#
# Packaging
#

clean:
	@find -name __pycache__ -exec rm -rf {} \; || true

build-python-package: clean
	@python3 -m build

upload-python-test-package:
	@twine upload --skip-existing --repository testpypi dist/*

upload-python-package:
	@twine upload --skip-existing dist/*

update_sbuild:
	@sudo sbuild-update -udcar u

#build-debian-test-package:
#	@dpkg-buildpackage -rfakeroot --no-sign

sbuild: update_sbuild
	@#sbuild -c stable-amd64-sbuild
	@sbuild  -c unstable-amd64-sbuild

#
# Release
#

release: clean configs docs

=== docs/demoday/Makefile ===
# Based on https://gitlab.torproject.org/anarcat/presentations/-/blob/main/anarcat-tpa-okrs-2021/Makefile

export TEXINPUTS:=$(shell pwd)/../vendor/onion-tex/src/tex:${TEXINPUTS}

# The slides from pandoc do not work very well. the `\onioncolorlog`
# never renders (it stalls) and using the PNG logo doesn't
# work well as it gets rescaled and all fuzzy
#GENERATED=slides.pdf slides.tex tikz

# Instead just build upon a raw TeX file that i cargo culted from
# anarcat which cargo culted from ahf/okr2021-talk/main.tex
GENERATED=demoday.pdf

all: $(GENERATED)

%.pdf: %.tex
	mkdir -p tikz
	latexmk -pdf -verbose -pdflatex="pdflatex --shell-escape %O %S" $<

# Right now no markdown file is used
#%.tex: %.md
#	pandoc -t beamer -V theme:onion -s $< -o $@

clean:
	rm -rf $(GENERATED)

=== debian/changelog ===
onionprobe (0.3.2) unstable; urgency=medium

  * New upstream version.
  * Leave examples only at /usr/lib/python3/dist-packages.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 09:50:53 -0300

onionprobe (0.3.1) unstable; urgency=medium

  * New upstream version.
  * Add examples folder.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 03 May 2022 13:18:40 -0300

onionprobe (0.3.0) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 19 Apr 2022 16:52:11 -0300

onionprobe (0.2.2) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Mon, 11 Apr 2022 09:09:35 -0300

=== debian/control ===
Source: onionprobe
Section: net
Priority: optional
Maintainer: Silvio Rhatto <rhatto@torproject.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 pandoc
X-Python-3-Version: >= 3.5
Standards-Version: 4.6.0.1
Homepage: https://gitlab.torproject.org/tpo/onion-services/onionprobe
Vcs-Git: https://gitlab.torproject.org/tpo/onion-services/onionprobe.git
Vcs-Browser: https://gitlab.torproject.org/tpo/onion-services/onionprobe/-/tree/main

Package: onionprobe
Architecture: all
Pre-Depends:
  ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 tor
Recommends:
 prometheus
Description: test/monitor tool for Onion Services sites
 Onionprobe is a tool for testing and monitoring the status of Tor Onion
 Services sites. It can run a single time or continuously to probe a set of
 onion services endpoints and paths, optionally exporting to Prometheus.
